Core - Bug # 62676

Status: Resolved Priority: Must have
Author: Roland Waldner Category:

Created: 2014-11-04 Assigned To: Roland Waldner
Updated: 2014-12-08 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Drag and Drop not possible in IRRE in Flexforms

Description

Buggy in TYPO3 6.2 - already fixed in master.

Associated revisions

Revision bf17a3f1 - 2014-12-01 14:47 - Roland Waldner

[BUGFIX] Escape element ID before used in jQuery selector

General information: to use any of the meta-characters as a

literal part of a jQuery selector, it must be escaped with
two backslashes: http:/api.jquery.com/category/selectors/

Using IRRE (TCA type "inline") in Flexforms, TYPO3 may
generate HTML elements with IDs containing dots. Example:

id="data-104-tt_content-182-pi_flexform---data---fileSelection
---IDEF---settings.fileSelection.files---vDEF_records"

If you set "useSortable" and "endableControls.dragdrop" to 1
for an element in your Flexform configuration,
inline.createDragAndDropSorting(objectld) will get called for
that element. This objectld has to be escaped to be used as a
literal part of a jQuery selector later in this function.

Otherwise the drag-and-drop functionality will fail.

Resolves: #62676

Related: #62001

Releases: 6.2

Change-Id: 1353a699d82885b7bd57d0dc5fafbb8f5646d693f
Reviewed-on: http://review.typo3.org/33777
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>

Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>

Revision 609fa966 - 2014-12-08 10:24 - Alexander Opitz

2015-08-04

1/3



http://api.jquery.com/category/selectors/
http://review.typo3.org/33777
mailto:stefan.busemann@in2code.de
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at
mailto:opitz.alexander@googlemail.com
mailto:opitz.alexander@googlemail.com

[BUGFIX] Follow up: Escape element ID before used in jQuery selector

Resolves: #62676

Related: #62001

Releases: 6.2

Change-Id: 150b1e24159ad79174a12f3b5130e1bfd8e77e8a5
Reviewed-on: http://review.typo3.org/34874

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2014-11-04 10:00 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/33777

#2 - 2014-11-14 15:03 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33777

#3 - 2014-12-01 15:00 - Roland Waldner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bf17a3f15ea7f9737d0e6c57€987473daee1aa89.

#4 - 2014-12-01 15:32 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34874

#5 - 2014-12-03 15:32 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34874

#6 - 2014-12-04 16:39 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34874

#7 - 2014-12-04 16:44 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/35051

#8 - 2014-12-04 16:45 - Gerrit Code Review

Patch set 4 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34874

#9 - 2014-12-08 10:30 - Alexander Opitz

- Status changed from Under Review to Resolved

Applied in changeset commit:609fa966a8301348ec159cef99f0c197097d19e7.
